`timescale 1ns / 1ps
module DigitalWatch(reset,	clk, sw0, sw1, sw2, hourFND, minFND, secFND, hourFNDSel2, hourFNDSel1, minFNDSel2, minFNDSel1, secFNDSel2, secFNDSel1, mode_out, set_pos_out);
	input				reset, clk;
	input				sw0, sw1, sw2;
	output [6:0]	hourFND, minFND, secFND;
	output 			hourFNDSel2, hourFNDSel1;
	output 			minFNDSel2, minFNDSel1;
	output 			secFNDSel2, secFNDSel1;
	output [1:0]	mode_out;
	output [2:0]	set_pos_out;

	wire           clk1hz;
	wire [1:0]     mode;
	wire [2:0]     set_pos;
	wire [5:0]     sec;
	wire [5:0]     min;
	wire [4:0]     hour;

    MasterSelect MS0(
        .reset          (reset),                     
        .clk            (clk),
        .sw0            (sw0),
        .sw1            (sw1),
        .clk1hz_out     (clk1hz),
        .clk100hz_out   (clk100hz),
        .mode_out       (mode),
        .set_pos_out    (set_pos)                 
     );
     
    DigitalClock DC0(
        .reset          (reset),
        .clk            (clk),
        .clk1hz         (clk1hz),
        .sw2            (sw2),
        .mode           (mode),
        .set_pos        (set_pos),
        .sec_out        (sec),
        .min_out        (min),
        .hour_out       (hour)
    );
    
    FNDDisplay FNDD0(
        .clk            (clk),
        .clk100hz       (clk100hz),
        .sec            (sec),
        .min            (min),
        .hour           (hour),
        .hourFNDSel2    (hourFNDSel2),
        .hourFNDSel1    (hourFNDSel1),
        .minFNDSel2     (minFNDSel2),
        .minFNDSel1     (minFNDSel1),        
        .secFNDSel2     (secFNDSel2),
        .secFNDSel1     (secFNDSel1),
        .hourFND        (hourFND),
        .minFND         (minFND),
        .secFND        (secFND)
    );
	assign mode_out = mode;
	assign set_pos_out = set_pos; 
endmodule
