`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 2017/07/20 22:05:14
// Design Name: 
// Module Name: DigitalWatchBDF_Timer
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////


module DigitalWatch(reset, clk, sw0, sw1, sw2, hourFNDSel2,hourFNDSel1, minFNDSel2, minFNDSel1, secFNDSel2, secFNDSel1, hourFND, minFND, secFND,mode_out, set_pos_out);
    input reset, clk;
    input sw0, sw1, sw2;
    
    output hourFNDSel2, hourFNDSel1;
    output minFNDSel2, minFNDSel1;
    output secFNDSel2, secFNDSel1;
    output [6:0] hourFND;
    output [6:0] minFND;
    output [6:0] secFND;
    output [1:0] mode_out;
    output [2:0] set_pos_out;
    
    wire clk1hz, clk100hz;
    
    wire [1:0] mode;
    wire [2:0] set_pos;
    
    wire [5:0] dc_wire1;
    wire [5:0] dc_wire2;
    wire [4:0] dc_wire3;
    
    wire [6:0] tl_wire1;
    wire [5:0] tl_wire2;
    wire [5:0] tl_wire3;
    
    MasterSelect MS0(
    .reset          (reset),
    .clk            (clk),
    .sw0            (sw0),
    .sw1            (sw1),
    .clk1hz_out     (clk1hz),
    .clk100hz_out   (clk100hz),
    .mode_out       (mode),
    .set_pos_out    (set_pos)
    );
    DigitalClock DC0(
    .reset          (reset),
    .clk            (clk),
    .clk1hz         (clk1hz),
    .sw2            (sw2),
    .mode           (mode),
    .set_pos        (set_pos),
    .sec_out        (dc_wire1),
    .min_out        (dc_wire2),
    .hour_out       (dc_wire3)
    );
    
    TimerLogic  TL0(
    .reset          (reset),
    .clk100hz       (clk100hz),
    .sw1            (sw1),
    .sw2            (sw2),
    .mode           (mode),
    .mmsec_out      (tl_wire1),
    .sec_out        (tl_wire2),
    .min_out        (tl_wire3)
    );
    FNDDisplay FD0(
    .clk            (clk),
    .clk100hz       (clk100hz),
    .mode           (mode),
    .dc_sec         (dc_wire1),
    .dc_min         (dc_wire2),
    .dc_hour        (dc_wire3),
    .tl_mmsec       (tl_wire1),
    .tl_sec         (tl_wire2),
    .tl_min         (tl_wire3),
    .hourFNDSel2    (hourFNDSel2),
    .hourFNDSel1    (hourFNDSel1),
    .minFNDSel2     (minFNDSel2),
    .minFNDSel1     (minFNDSel1),
    .secFNDSel2     (secFNDSel2),
    .secFNDSel1     (secFNDSel1),
    .hourFND        (hourFND),
    .minFND         (minFND),
    .secFND         (secFND)
    );
    
    assign mode_out=mode;
    assign set_pos_out = set_pos;
endmodule
